Photoshop Elements: Why do I need to install Adobe Extension Manager CS4 & Adobe Extend/Script Toolkit CS4 with PSE 8 when I already have CS5 for both of these?

  • 1
  • Question
  • Updated 7 years ago
  • (Edited)
Adobe Photoshop Elements 8 - Why do I need to install Adobe Extension Manager CS4 & Adobe Extend/Script Toolkit CS4 when I already have CS5 for both of these?
Photo of Giselle Thayer

Giselle Thayer

  • 1 Post
  • 0 Reply Likes

Posted 7 years ago

  • 1
Photo of Brett N

Brett N, Official Rep

  • 2258 Posts
  • 114 Reply Likes
Each of these applications is version specific. That is, they only work with the versions of the programs they came with. So, The CS5 Extension Manager only works with CS5 applications. Photoshop Elements, although it is not part of the Creative Suite, is released in relation to a specific version of the suite. Photoshop Elements 8 is tied to CS4. Photoshop Elements 9 to CS5. Had you installed a CS4 suite while you had a CS5 suite installed, you would have seen the same thing.